Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLInputElement

`java.lang.Object
oracle.jdeveloper.html.HTMLElement
oracle.jdeveloper.html.HTMLInputElement`

public class HTMLInputElement
extends HTMLElement

Represents a text element. This is an element you can add to a page when no tag is necessary.

Version:
  PUBLIC

Field Summary
`protected java.util.HashMap` | `htmlAttributes`
`protected java.lang.String` | `label`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLInputElement()`

Method Summary
`boolean` | `getChecked()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getCSSClassName()`
`static HTMLInputElement` | `getHidden(java.lang.String sName, java.lang.String sValue)`
`java.lang.String` | `getLabel()`
`int` | `getMaxLength()`
`java.lang.String` | `getMaxLengthAsString()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnBlur()`
`java.lang.String` | `getOnChange()`
`java.lang.String` | `getOnFocus()`
`java.lang.String` | `getOnSelect()`
`boolean` | `getReadOnly()`
`java.lang.String` | `getSize()`
`int` | `getTabIndex()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `render(java.io.PrintWriter out)`
`void` | `setChecked(boolean checked)`
`void` | `setClassName(java.lang.String className)`
`void` | `setCSSClassName(java.lang.String className)` Sets the CSS class name for this element.
`void` | `setHtmlAttributes(java.util.HashMap attrs)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMaxLength(int maxLength)`
`void` | `setMaxLength(java.lang.String smaxLength)`
`void` | `setName(java.lang.String name)`
`void` | `setOnBlur(java.lang.String onBlur)`
`void` | `setOnChange(java.lang.String onChange)`
`void` | `setOnFocus(java.lang.String onFocus)`
`void` | `setOnSelect(java.lang.String onSelect)`
`void` | `setReadOnly(boolean ro)`
`void` | `setSize(int size)`
`void` | `setSize(java.lang.String size)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setTabIndex(java.lang.String sTabIndex)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, quote, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### htmlAttributes

    protected java.util.HashMap htmlAttributes

### label

    protected java.lang.String label

Constructor Detail

### HTMLInputElement

    public HTMLInputElement()

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setType

    public void setType(java.lang.String type)

### getType

    public java.lang.String getType()

### setMaxLength

    public void setMaxLength(java.lang.String smaxLength)

### getMaxLengthAsString

    public java.lang.String getMaxLengthAsString()

### setMaxLength

    public void setMaxLength(int maxLength)

### getMaxLength

    public int getMaxLength()

### setSize

    public void setSize(java.lang.String size)

### getSize

    public java.lang.String getSize()

### setSize

    public void setSize(int size)

### setValue

    public void setValue(java.lang.String value)

### getValue

    public java.lang.String getValue()

### setClassName

    public void setClassName(java.lang.String className)

### getClassName

    public java.lang.String getClassName()

### setCSSClassName

    public void setCSSClassName(java.lang.String className)

  Description copied from class: `HTMLElement`
  Sets the CSS class name for this element.
  Overrides:
    `setCSSClassName` in class `HTMLElement`

### getCSSClassName

    public java.lang.String getCSSClassName()

  Overrides:
    `getCSSClassName` in class `HTMLElement`
  Returns:
    the CSS class name for this element

### setLabel

    public void setLabel(java.lang.String label)

### getLabel

    public java.lang.String getLabel()

### setChecked

    public void setChecked(boolean checked)

### getChecked

    public boolean getChecked()

### setReadOnly

    public void setReadOnly(boolean ro)

### getReadOnly

    public boolean getReadOnly()

### setTabIndex

    public void setTabIndex(java.lang.String sTabIndex)

### setTabIndex

    public void setTabIndex(int tabIndex)

### getTabIndex

    public int getTabIndex()

### setOnFocus

    public void setOnFocus(java.lang.String onFocus)

### getOnFocus

    public java.lang.String getOnFocus()

### setOnChange

    public void setOnChange(java.lang.String onChange)

### getOnChange

    public java.lang.String getOnChange()

### setOnSelect

    public void setOnSelect(java.lang.String onSelect)

### getOnSelect

    public java.lang.String getOnSelect()

### setOnBlur

    public void setOnBlur(java.lang.String onBlur)

### getOnBlur

    public java.lang.String getOnBlur()

### setHtmlAttributes

    public final void setHtmlAttributes(java.util.HashMap attrs)

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Specified by:
    `render` in class `HTMLElement`
  Throws:
    `java.lang.Exception`

### getHidden

    public static HTMLInputElement getHidden(java.lang.String sName,
                                             java.lang.String sValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.